CREATE TABLE gtg_di_ds_prog_details (
    ID                   NUMBER(18, 0) ,
    CONNECTOR_ID         NUMBER(18, 0) ,
    DATASOURCE_ID        NUMBER(20, 0) ,
    REST_SOURCE          VARCHAR2(1024),
    EXECUTION_TIME       TIMESTAMP(6)  ,
    DATA                 VARCHAR2(2048),
    EXTRA_DATA           CLOB          ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ID                   NUMBER(18, 0) ,
    CONNECTOR_ID         NUMBER(18, 0) ,
    DATASOURCE_ID        NUMBER(20, 0) ,
    REST_SOURCE          VARCHAR2(1024),
    EXECUTION_TIME       TIMESTAMP(6)  ,
    DATA                 VARCHAR2(2048),
    EXTRA_DATA           CLOB          ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_gtg_di_ds_prog_details PRIMARY KEY (ID, ID)
);
